ffmpegfs: 2.13 -> 2.14, marked unmaintained

This commit is contained in:
John McQuah 2023-06-27 16:54:06 -04:00
parent 86e79af246
commit 2c3ce02162
4 changed files with 1841 additions and 51 deletions

View File

@ -1,5 +1,6 @@
untrusted comment: verify with /etc/ports/contrib.pub
RWSagIOpLGJF32aF6LKKwRVabwOWWpSZqEvrT8d5TJ03oFjpUBHH24hVHqAQ/xbi6Pvj1dkQli5iAvk1Oc/VWp+nwLCZbx1dzw4=
SHA256 (Pkgfile) = c1dc57615fa3a74a93077d13f1c2459459de09545c385ac1d78c5844bf4305c1
RWSagIOpLGJF3yniEFjqpG/8gmhJqrUjtnD9J7sLgxqHxumYNwzdzrSjfSrxRMh38QfI3f+NMoOcO5rHjn8CX5vZNiC+oki09Qc=
SHA256 (Pkgfile) = 66cabde62c03d8adec3970167e18d939b1aa24320d0f5531d1ba1780785109d6
SHA256 (.footprint) = 0ff3119a83c4645e2bca0638195aed08b3bac9022b76f6cce3686795d9684128
SHA256 (ffmpegfs-2.13.tar.gz) = 615434fb4037c8cf9594bac8471915088e650fa2d6e4d0dea63e7eccf3f0d296
SHA256 (ffmpegfs-2.14.tar.gz) = 68cd889353be4f52f76edc3f77bd2c815abdf7f23db8cf8d83c3282d320a44f1
SHA256 (ffmpegfshelp.h) = 70a3a91277af621a60ac5414e769da4acd86824c90c18e8c50be80dfc85a3e10

View File

@ -1,23 +1,38 @@
# Description: FUSE-based transcoding filesystem from many formats to MP3 or MP4 including video transcoding.
# URL: https://nschlia.github.io/ffmpegfs/
# Maintainer: Danny Rawlins, crux at romster dot me
# Depends on: asciidoc chromaprint fuse lame libbluray libchardet libcue libdvdnav libgmp libpcre util-linux w3m
# Optional: fdk-aac libass libbluray x264 x265 expat fontconfig freetype fribidi fuse glib gnutls harfbuzz libffi libidn2 libogg libpng libtasn1 libtheora libunistring libva libvorbis libvpx libwebp libxml2 nettle opus p11-kit libdrm libvdpau xorg-libx11 xorg-libxau xorg-libxcb xorg-libxdmcp xorg-libxext xorg-libxfixes
# Maintainer: UNMAINTAINED
# Depends on: chromaprint fuse lame libchardet libcue libgmp libpcre util-linux
# Optional: asciidoc w3m fdk-aac libass libbluray libdvdnav libdvdread x264 x265 expat fontconfig freetype fribidi glib gnutls harfbuzz libffi libidn2 libogg libpng libtasn1 libtheora libunistring libva libvorbis libvpx libwebp libxml2 nettle opus p11-kit libdrm libvdpau xorg-libx11 xorg-libxau xorg-libxcb xorg-libxdmcp xorg-libxext xorg-libxfixes
name=ffmpegfs
version=2.13
version=2.14
release=1
source=(https://github.com/nschlia/ffmpegfs/archive/v$version/ffmpegfs-$version.tar.gz)
source=(https://github.com/nschlia/ffmpegfs/archive/v$version/ffmpegfs-$version.tar.gz ffmpegfshelp.h)
build() {
# upstream left this field unchanged since the last release
sed -e '/^project(.* VERSION .*)/s/2.13/2.14/' -i $name-$version/CMakeLists.txt
# do not hard-depend on conversion tools, just to build the manpage
prt-get isinst asciidoc w3m || { sed -e '/add_dependencies(.* manpage)/s/^/#/' \
-e '/add_dependencies(.* manpage-header)/s/^/#/' \
-e '/add_dependencies(.* manpage-text)/s/^/#/' \
-e '/\s+src\/ffmpegfs.h$/a src/ffmpegfshelp.h' \
-i $name-$version/CMakeLists.txt;
cp $SRC/ffmpegfshelp.h $name-$version/src; }
# do not try to link against libraries that are not installed
prt-get isinst libbluray || sed '/\s*bluray$/d' -i $name-$version/CMakeLists.txt
prt-get isinst libdvdread || sed '/\s*dvdread$/d' -i $name-$version/CMakeLists.txt
prt-get isinst libdvdnav || sed '/\s*dvdnav$/d' -i $name-$version/CMakeLists.txt
cmake -S $name-$version -B build -G Ninja \
-D CMAKE_INSTALL_PREFIX=/usr \
-D CMAKE_INSTALL_LIBDIR=lib \
-D CMAKE_BUILD_TYPE=Release \
-D CMAKE_CXX_FLAGS_RELEASE="$CXXFLAGS" \
-D CMAKE_C_FLAGS_RELEASE="$CFLAGS" \
-Wno-dev
cmake --build build
DESTDIR=$PKG cmake --install build
ninja -C build -j ${JOBS:-1}
DESTDIR=$PKG ninja -C build install
}

1810
ffmpegfs/ffmpegfshelp.h Normal file

File diff suppressed because it is too large Load Diff

View File

@ -1,42 +1,6 @@
#!/bin/sh
# Created by Danny Rawlins, <crux at romster dot me>
GROUP=ffmpegfs
USER=ffmpegfs
USER_COMMENT="FUSE-based transcoding filesystem"
USER_HOME=/var/empty
USER_SHELL=/bin/sh
if [ ! $(id -u) = 0 ]; then
echo "ERROR: you need to be root to run this!"
exit 1
fi
if [ $GROUP ]; then
if ! getent group $GROUP > /dev/null; then
/usr/sbin/groupadd $GROUP
if [ $? -eq 0 ]; then
echo "Group: $GROUP added."
fi
else
echo "Group: $GROUP already exists! Skipping."
fi
fi
if ! getent passwd $USER > /dev/null; then
/usr/sbin/useradd -g $GROUP -c "$USER_COMMENT" -d $USER_HOME -s $USER_SHELL $USER
if [ $? -eq 0 ]; then
echo "User: $USER added."
/usr/bin/passwd -l $USER > /dev/null
if [ $? -eq 0 ]; then
echo "Locked: $USER account."
fi
else
echo "ERROR: unable to lock $USER account."
/usr/sbin/userdel $USER
fi
else
echo "User: $USER already exists! Skipping."
fi
getent group ffmpegfs || /usr/sbin/groupadd ffmpegfs
getent passwd ffmpegfs || /usr/sbin/useradd -d /var/empty -g ffmpegfs \
-c "FUSE-based transcoding filesystem" -s /bin/sh ffmpegfs
/usr/bin/passwd -l ffmpegfs